Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsCodecClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsCodecClass

All Implemented Interfaces:
  GrailsCodecClass

    public class DefaultGrailsCodecClass
    extends AbstractInjectableGrailsClass

Authors:
  Jeff Brown

Since:
  0.4

Field Summary
`static java.lang.String` | `CODEC`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsCodecClass(java.lang.Class clazz)`

Method Summary
`groovy.lang.Closure` | `getDecodeMethod()`
`groovy.lang.Closure` | `getEncodeMethod()`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CODEC

    public static final java.lang.String CODEC

Constructor Detail

### DefaultGrailsCodecClass

    public DefaultGrailsCodecClass(java.lang.Class clazz)

Method Detail

### getDecodeMethod

    public groovy.lang.Closure getDecodeMethod()

### getEncodeMethod

    public groovy.lang.Closure getEncodeMethod()

Groovy Documentation